org.apache.storm.hbase.trident.mapper

## Class SimpleTridentHBaseMapper

- java.lang.Object
- - org.apache.storm.hbase.trident.mapper.SimpleTridentHBaseMapper

- All Implemented Interfaces:
    Serializable, TridentHBaseMapper

      public class SimpleTridentHBaseMapper
      extends Object
      implements TridentHBaseMapper

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTridentHBaseMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnList` | `columns(TridentTuple tuple)` Given a tuple, return a list of HBase columns to insert.
    `byte[]` | `rowKey(TridentTuple tuple)` Given a tuple, return the HBase rowkey.
    `SimpleTridentHBaseMapper` | `withColumnFamily(String columnFamily)`
    `SimpleTridentHBaseMapper` | `withColumnFields(Fields columnFields)`
    `SimpleTridentHBaseMapper` | `withCounterFields(Fields counterFields)`
    `SimpleTridentHBaseMapper` | `withRowKeyField(String rowKeyField)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTridentHBaseMapper

          public SimpleTridentHBaseMapper()

  - ### Method Detail

    - #### withRowKeyField

          public SimpleTridentHBaseMapper withRowKeyField(String rowKeyField)

    - #### withColumnFields

          public SimpleTridentHBaseMapper withColumnFields(Fields columnFields)

    - #### withCounterFields

          public SimpleTridentHBaseMapper withCounterFields(Fields counterFields)

    - #### withColumnFamily

          public SimpleTridentHBaseMapper withColumnFamily(String columnFamily)

    - #### rowKey

          public byte[] rowKey(TridentTuple tuple)

      Description copied from interface: `TridentHBaseMapper`

      Given a tuple, return the HBase rowkey.

      Specified by:
        `rowKey` in interface `TridentHBaseMapper`

    - #### columns

          public ColumnList columns(TridentTuple tuple)

      Description copied from interface: `TridentHBaseMapper`

      Given a tuple, return a list of HBase columns to insert.

      Specified by:
        `columns` in interface `TridentHBaseMapper`

Copyright © 2021 The Apache Software Foundation. All rights reserved.